import javax.microedition.lcdui.*;

import java.util.Vector;

public class HistoryList extends List implements CommandListener { 
    Menu menu;

    HistoryList(Menu menu) { 
        super(Locale.HISTORY, IMPLICIT);
        this.menu = menu;
        addCommand(MobiBrowser.GOTO_CMD);
        addCommand(MobiBrowser.BACK_CMD);
        Vector history = menu.browser.history;
        for (int i = history.size(); --i >= 0;) { 
            MobiBrowser.History h = (MobiBrowser.History)menu.browser.history.elementAt(i);
            append(MobiBrowser.removeHttpPrefix(h.url), null);
        }
        setCommandListener(this);
        Display.getDisplay(menu.browser).setCurrent(this);
    }

    public void commandAction(Command c, Displayable d) {
        if (c == MobiBrowser.BACK_CMD) {
            Display.getDisplay(menu.browser).setCurrent(menu);
        } else { 
            int i = menu.browser.history.size()-getSelectedIndex()-1;
            MobiBrowser.History h = (MobiBrowser.History)menu.browser.history.elementAt(i);
            menu.browser.load(h.url, h.pos);
        }
    }
}


